package com.ann.demo.entity.interfaceEntity;

import lombok.Data;

import javax.persistence.Entity;
import javax.persistence.Id;
import javax.persistence.Table;
import java.util.Date;

/**
 * 检查申请单
 *
 * @Author: LeiJiaXin
 * @Date: 2019/8/22 15:42
 */
@Table
@Entity
public class ExamApply {

    @Id
    private String applyId;

    private Date xmlCreateTime;

    private String inpNo;

    private String visitId;

    private String patientId;

    private Date authorReportTime;

    private String result;

    private Integer isValid = 0;

    /**
     * 病理、放射、心电、超声、内镜
     */
    private String reportType;


    /**
     * 2019-10-21 HIS新增是否开立接口 E 检查 F 取消检查
     */
    private String isOpenHis = "E";

    /**
     * 2019-10-21 LIS新增是否记账接口 E 登记 F 取消收费 在住院病人没有出院的情况下，his确认某项内容有没做，是否登记上账就是看这个状态
     */
    private String isOpenOther = "E";

    /**
     * 新增项目名称
     * */
    private String name;


    public String getApplyId() {
        return applyId;
    }

    public void setApplyId(String applyId) {
        this.applyId = applyId;
    }

    public Date getXmlCreateTime() {
        return xmlCreateTime;
    }

    public void setXmlCreateTime(Date xmlCreateTime) {
        this.xmlCreateTime = xmlCreateTime;
    }

    public String getInpNo() {
        return inpNo;
    }

    public void setInpNo(String inpNo) {
        this.inpNo = inpNo;
    }

    public String getVisitId() {
        return visitId;
    }

    public void setVisitId(String visitId) {
        this.visitId = visitId;
    }

    public String getPatientId() {
        return patientId;
    }

    public void setPatientId(String patientId) {
        this.patientId = patientId;
    }

    public Date getAuthorReportTime() {
        return authorReportTime;
    }

    public void setAuthorReportTime(Date authorReportTime) {
        this.authorReportTime = authorReportTime;
    }

    public String getResult() {
        return result;
    }

    public void setResult(String result) {
        this.result = result;
    }

    public Integer getIsValid() {
        return isValid;
    }

    public void setIsValid(Integer isValid) {
        this.isValid = isValid;
    }

    public String getReportType() {
        return reportType;
    }

    public void setReportType(String reportType) {
        this.reportType = reportType;
    }

    public String getIsOpenHis() {
        return isOpenHis;
    }

    public void setIsOpenHis(String isOpenHis) {
        this.isOpenHis = isOpenHis;
    }

    public String getIsOpenOther() {
        return isOpenOther;
    }

    public void setIsOpenOther(String isOpenOther) {
        this.isOpenOther = isOpenOther;
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
