package com.ann.demo.interfaces.impl;

import com.ann.demo.entity.constant.InterfaceName;
import com.ann.demo.entity.constant.WebserviceId;
import com.ann.demo.entity.interfaceEntity.*;
import com.ann.demo.interfaces.HomepageDictionary;
import com.ann.demo.service.*;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.beans.factory.annotation.Autowired;

import javax.jws.WebService;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/6/11 17:01
 */

@WebService(serviceName = "HomepageDictionary", // 与接口中指定的name一致
        targetNamespace = "http://interfaces.demo.ann.com/", // 与接口中的命名空间一致,一般是接口的包名倒
        endpointInterface = "com.ann.demo.interfaces.HomepageDictionary"// 接口地址
)
public class HomepageDictionaryImpl implements HomepageDictionary {

    private static final Logger logger = LoggerFactory.getLogger(HomepageDictionaryImpl.class);

    @Autowired
    private AnalysisService analysisService;

    @Override
    public String HIPMessageServer(String action, String message) {
        String result = "";
        try{
            if (action != null && message != null && !(message.equals("") && action.equals(""))) {
                switch (action) {
                    case InterfaceName.INSPECTION_REPORT_NAME:
                        // 检验报告
                        result = analysisService.getHIPMessageServerResult(message, UltrasonicReport.class, InterfaceName.INSPECTION_REPORT, WebserviceId.INSPECTION_REPORT_NAME);
                        break;
                    case InterfaceName.PARAMETER_INSPECTIONAPPLY:
                        // 检验申请单
                        result = analysisService.getHIPMessageServerResult(message, ExamApply.class, InterfaceName.PARAMETER_INSPECTIONAPPLY, WebserviceId.PARAMETER_INSPECTIONAPPLY);
                        break;
                    case InterfaceName.PARAMETER_VERIFICATIONINSPECTIONAPPLY:
                        // 检体核收
                        result = analysisService.getHIPMessageServerResult(message, ExamApply.class, InterfaceName.PARAMETER_VERIFICATIONINSPECTIONAPPLY, WebserviceId.PARAMETER_VERIFICATIONINSPECTIONAPPLY);
                        break;
                }
            }
        }catch (Exception e){
            logger.error("当前参数：{},报错信息：{}",action,e.getMessage());
            return result;
        }
        return result;
    }


}
