package com.ann.demo.repository;

import com.ann.demo.entity.filing.ArchiveDetail;
import org.springframework.data.jpa.repository.JpaRepository;
import org.springframework.data.jpa.repository.Query;
import org.springframework.stereotype.Repository;

/**
 * @Author: LeiJiaXin
 * @Date: 2019/7/12 9:10
 */
@Repository
public interface ArchiveDetailRepository extends JpaRepository<ArchiveDetail, String> {

//    //  or Source = 'DoctorData' or AssortID = '117' or AssortID = '10' or AssortID = '60' or  AssortID = '57' or AssortID = '52' or AssortID = '54' or AssortID = '59'
//    @Query("select o from ArchiveDetail  o   ")
//    public List<ArchiveDetail> findAllHaha();

    @Query("select count (o) from ArchiveDetail  o where o.masterID = ?1 and o.assortID = ?2  and o.source=?3 and (o.applyId = ?4 and o.applyId is not null) and  o.flag = 0 and FileContext = ?5")
    Integer countByMasterIDAndAssortIDAndSourceAndApplyId(String masterId, String AssortID, String source, String applyId,String FileContext);

    @Query("select count (o) from ArchiveDetail  o where o.masterID = ?1 and o.assortID = ?2  and o.source=?3 and (o.checkReportId = ?4 and o.checkReportId is not null) and  o.flag = 0")
    Integer countByMasterIDAndAssortIDAndSourceAndCheckReportId(String masterId, String AssortID, String source, String CheckReportId);


    public ArchiveDetail findByMasterIDAndAssortIDAndSourceAndApplyIdAndFlagAndFileContext(String masterId, String AssortID, String source, String applyId, String flag,String FileContext);

    public ArchiveDetail findByMasterIDAndAssortIDAndSourceAndCheckReportIdAndFlag(String masterId, String AssortID, String source, String checkReportId, String flag);

}
