package com.ann.demo.service;
 
import org.apache.cxf.Bus;
import org.apache.cxf.bus.CXFBusFactory;
import org.apache.cxf.endpoint.EndpointImplFactory;
import org.apache.cxf.endpoint.dynamic.DynamicClientFactory;
import org.apache.cxf.jaxws.support.JaxWsEndpointImplFactory;
 
import java.util.List;
 
 
public class JAXDynamicClientFactory extends DynamicClientFactory {
    protected JAXDynamicClientFactory(Bus bus) {
        super(bus);
    }
 
    protected EndpointImplFactory getEndpointImplFactory() {
        return JaxWsEndpointImplFactory.getSingleton();
    }
 
    protected boolean allowWrapperOps() {
        return true;
    }
 
    public static JAXDynamicClientFactory newInstance(Bus b) {
        return new JAXDynamicClientFactory(b);
    }
 
    public static JAXDynamicClientFactory newInstance() {
        Bus bus = CXFBusFactory.getThreadDefaultBus();
        return new JAXDynamicClientFactory(bus);
    }
    public boolean compileJavaSrc(String classPath, List srcList, String dest) {
        org.apache.cxf.common.util.Compiler javaCompiler
                = new org.apache.cxf.common.util.Compiler();
        javaCompiler.setEncoding("UTF-8");
        javaCompiler.setClassPath(classPath);
        javaCompiler.setOutputDir(dest);
        javaCompiler.setTarget("1.8");
        return javaCompiler.compileFiles(srcList);
    }
}